﻿@model IEnumerable<CrudOnStudent.Models.Course>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.CourseName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Fees)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.CourseName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Fees)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.CourseId">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.CourseId">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.CourseId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
